# List_All_Attributes_For_Customer

Retrieve all attributes.

`GET /v2/customers/{id}/attributes`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Customers
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Customers/List_All_Attributes_For_Customer/

## Description

Retrieve all attributes for a customer.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access your companies client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` |  | path | Yes | The id of the customer. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `CustomerAttribute` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `CustomerAttribute`

Customer Attribute Model

| Property | Type | Required | Description |
|---|---|---|---|
| `changeable` | boolean | No | Designates if the Customer Attribute is changeable or not. Example: `false`. |
| `description` | string | No | The description of the Customer Attribute. Example: `Customer address change is needed.`. |
| `id` | integer | No | System Generated Customer Attribute id Example: `1`. |
| `name` | string | No | The name of the Customer Attribute. Example: `ADDRESS CHANGE NEEDED`. |
| `nondeliver` | boolean | No | Designates if the Customer Attribute is non-deliverable or not. Example: `false`. |
| `system_code` | boolean | No | Designates if the Customer Attribute Designates was system generated or not. Example: `false`. |

## Example Request

```bash
curl -X GET "https://sbx-api.certcapture.com/v2/v2/customers/{id}/attributes" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```